body {
    background-color: #f0f0f0;
    text-align: center;
}

.settings-card {
    max-width: 250px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    margin: auto;
    text-align: left;
}

h1 {
    text-align: center;
}

label {
    display: block;
    cursor: pointer;
    margin: 8px auto;
}

input[type='checkbox'] {
    width: 20px;
    height: 20px;
    cursor: pointer;
    appearance: none;
    border: 2px solid #f1be32;
    border-radius: 4px;
    background-color: white;
    transition: all 0.3s;
    vertical-align: middle;
    margin-right: 15px;
}

input[type='checkbox']:checked {
    background-color: #f1be32;
    border-color: #e2a60d;
}

input[type="checkbox"]:checked::after {
    content: "✓";
    display: block;
    text-align: center;
    font-weight: bold;
    color: white;
    line-height: 20px;
}